diff --git a/benchmarks/track_finding/multiple_tracks.sh b/benchmarks/track_finding/multiple_tracks.sh
index 0ea376eff6861f1a4d07d83b8be4b236761c8970..b364657b50ff50586d4372c81966663630782d56 100644
--- a/benchmarks/track_finding/multiple_tracks.sh
+++ b/benchmarks/track_finding/multiple_tracks.sh
@@ -54,38 +54,40 @@ export JUGGLER_REC_FILE="rec_${JUGGLER_FILE_NAME_TAG}.root"
 echo "JUGGLER_N_EVENTS = ${JUGGLER_N_EVENTS}"
 echo "JUGGLER_DETECTOR = ${JUGGLER_DETECTOR}"
 
-## generate the input events
-root -b -q "benchmarks/track_finding/scripts/gen_multiple_tracks.cxx(${JUGGLER_N_EVENTS}, \"${JUGGLER_FILE_NAME_TAG}.hepmc\")"
-if [[ "$?" -ne "0" ]] ; then
-  echo "ERROR running script"
-  exit 1
-fi
-
-echo "Running geant4 simulation"
-## run geant4 simulations
-npsim --runType batch \
-  --part.minimalKineticEnergy 1000*GeV  \
-  -v WARNING \
-  --numberOfEvents ${JUGGLER_N_EVENTS} \
-  --compactFile ${DETECTOR_PATH}/${JUGGLER_DETECTOR}.xml \
-  --inputFiles  ${JUGGLER_FILE_NAME_TAG}.hepmc \
-  --outputFile  ${JUGGLER_SIM_FILE}
-if [[ "$?" -ne "0" ]] ; then
-  echo "ERROR running script"
-  exit 1
-fi
-
-rootls -t ${JUGGLER_SIM_FILE}
-
-if [[ -z "${ANALYSIS_ONLY}" ]] ;
-then
-  # Need to figure out how to pass file name to juggler from the commandline
-  xenv -x ${JUGGLER_INSTALL_PREFIX}/Juggler.xenv gaudirun.py benchmarks/track_finding/options/track_reconstruction.py
-  if [[ "$?" -ne "0" ]] ; then
-    echo "ERROR running juggler"
-    exit 1
-  fi
-fi
+### generate the input events
+#root -b -q "benchmarks/track_finding/scripts/gen_multiple_tracks.cxx(${JUGGLER_N_EVENTS}, \"${JUGGLER_FILE_NAME_TAG}.hepmc\")"
+#if [[ "$?" -ne "0" ]] ; then
+#  echo "ERROR running script"
+#  exit 1
+#fi
+#
+#echo "Running geant4 simulation"
+### run geant4 simulations
+#npsim --runType batch \
+#  --part.minimalKineticEnergy 1000*GeV  \
+#  -v WARNING \
+#  --numberOfEvents ${JUGGLER_N_EVENTS} \
+#  --compactFile ${DETECTOR_PATH}/${JUGGLER_DETECTOR}.xml \
+#  --inputFiles  ${JUGGLER_FILE_NAME_TAG}.hepmc \
+#  --outputFile  ${JUGGLER_SIM_FILE}
+#if [[ "$?" -ne "0" ]] ; then
+#  echo "ERROR running script"
+#  exit 1
+#fi
+
+#rootls -t ${JUGGLER_SIM_FILE}
+#
+#if [[ -z "${ANALYSIS_ONLY}" ]] ;
+#then
+#  # Need to figure out how to pass file name to juggler from the commandline
+#  xenv -x ${JUGGLER_INSTALL_PREFIX}/Juggler.xenv gaudirun.py benchmarks/track_finding/options/track_reconstruction.py
+#  if [[ "$?" -ne "0" ]] ; then
+#    echo "ERROR running juggler"
+#    exit 1
+#  fi
+#fi
+
+rootls -t ${JUGGLER_REC_FILE}
 
 mkdir -p results/track_finding
 
diff --git a/benchmarks/track_finding/scripts/rec_multiple_tracks.cxx b/benchmarks/track_finding/scripts/rec_multiple_tracks.cxx
index 9b8ae7cb9476eac777a64c680de5c222de0a6313..788b9e2a54964b742b6000b5553b4fdaddf79fb5 100644
--- a/benchmarks/track_finding/scripts/rec_multiple_tracks.cxx
+++ b/benchmarks/track_finding/scripts/rec_multiple_tracks.cxx
@@ -5,7 +5,7 @@
 #include "TProfile.h"
 
 #include <iostream>
-
+R__LOAD_LIBRARY(libJugBase.so)
 R__LOAD_LIBRARY(libeicd.so)
 R__LOAD_LIBRARY(libDD4pod.so)
 #include "dd4pod/Geant4ParticleCollection.h"
@@ -77,6 +77,9 @@ auto delta_p_over_p = [](const std::vector<double>& tracks, const std::vector<do
   }
   return res;
 };
+//gInterpreter->GenerateDictionary("vector<vector<float> >", "vector")
+//gInterpreter->GenerateDictionary("vector<unsigned long>", "vector")
+//gInterpreter->GenerateDictionary("vector<vector<unsigned long> >", "vector")
 
 int rec_multiple_tracks(const char* fname = "topside/rec_multiple_tracks.root")
 {
@@ -109,7 +112,7 @@ int rec_multiple_tracks(const char* fname = "topside/rec_multiple_tracks.root")
   auto h_delta_p0  = df0.Histo1D({"h_delta_p0", "Truth Track Init; GeV/c ",  100, -10, 10}, "delta_p0");
 
   auto h_nProtoTracks = df0.Histo1D({"h_nProtoTracks", "; n ", 10, 0, 10}, "nProto");
-  auto h_nProtoTracks2 = df0.Histo1D({"h_nProtoTracks2", "; n ", 10, 0, 10}, "nProtoTrakcs");
+  auto h_nProtoTracks2 = df0.Histo1D({"h_nProtoTracks2", "; n ", 10, 0, 10}, "nProtoTracks");
   auto h_nThrown      = df0.Histo1D({"h_nThrown",      "; n ", 10, 0, 10}, "nThrown");
 
   auto h_delta_p0_over_p = df0.Histo1D({"h_delta_p0_over_p",  "Truth Track Init; delta p/p ",  100, -0.1, 0.1}, "delta_p_over_p0");